import { Vector2 } from 'three/src/math/Vector2';
import { BufferGeometry } from 'three/src/core/BufferGeometry';
export declare class CoreGeometryOperationHexagon {
    private _param_size;
    private _param_hexagon_radius;
    private _param_points_only;
    constructor(_param_size: Vector2, _param_hexagon_radius: number, _param_points_only: boolean);
    process(): BufferGeometry;
}
